Name: midori
Version: 0.3.3
Release: alt0.M51.1

Summary: is a lightweight web browser
License: LGPL
Group: Networking/WWW
Url: http://www.twotoasts.de/index.php?/pages/midori_summary.html
Packager: Vladimir Lettiev <crux@altlinux.ru>

Source: %name-%version.tar
Patch0: %name-%version-%release.patch

BuildPreReq: rpm-build-gnome gnome-common

BuildRequires: libgio-devel libgtk+2-devel libgtksourceview2-devel libwebkit-devel libxml2-devel
BuildRequires: libunique-devel intltool librsvg-utils python-modules-logging libsqlite3-devel
BuildRequires: libsoup-devel libidn-devel python-module-docutils libnotify-devel
BuildRequires: libXScrnSaver-devel vala

%description
Midori is a lightweight web browser.
 * Full integration with GTK+2
 * Fast rendering with WebKit
 * Tabs, windows and session management
 * Flexibly configurable Web Search
 * User scripts and user styles support
 * Straightforward bookmark management
 * Customizable and extensible interface
 * Extensions such as Adblock, form history, mouse gestures or
   cookie management

%prep
%setup -q
%patch0 -p1
# remove extension that failed to compile by old version of vala
rm -f extensions/history-list.vala

%build
./waf --nocache configure --prefix=%_prefix --libdir=%_libdir -j 1
./waf --nocache build

%install
./waf --nocache install --destdir=%buildroot

%find_lang --with-gnome %name

%files -f %name.lang
%_sysconfdir/xdg/%{name}*
%_bindir/%name
%_libdir/%name
%_desktopdir/%name.desktop
%_datadir/%name
%_miconsdir/*
%_niconsdir/*
%_liconsdir/*
%_iconsdir/hicolor/22x22/apps/*
%_iconsdir/hicolor/22x22/categories/*
%_iconsdir/hicolor/22x22/status/*
%_iconsdir/hicolor/24x24/apps/*
%_iconsdir/hicolor/24x24/categories/*
%_iconsdir/hicolor/24x24/status/*
%_iconsdir/hicolor/16x16/categories/*
%_iconsdir/hicolor/16x16/status/*
%_iconsdir/hicolor/32x32/categories/*
%_iconsdir/hicolor/32x32/status/*
%_iconsdir/hicolor/48x48/categories/*
%_iconsdir/hicolor/48x48/status/*
%_iconsdir/hicolor/scalable/apps/midori.svg
%_iconsdir/hicolor/scalable/categories/extension.svg
%_iconsdir/hicolor/scalable/status/news-feed.svg
%_docdir/%name

%changelog
* Mon Mar 14 2011 Vladimir Lettiev <crux@altlinux.ru> 0.3.3-alt0.M51.1
- Backport to 5.1

* Mon Mar 14 2011 Vladimir Lettiev <crux@altlinux.ru> 0.3.3-alt1
- New version 0.3.3

* Sun Feb 20 2011 Vladimir Lettiev <crux@altlinux.ru> 0.3.2-alt0.M51.1
- Backport to 5.1

* Sun Feb 20 2011 Vladimir Lettiev <crux@altlinux.ru> 0.3.2-alt1
- New version 0.3.2

* Mon Jan 31 2011 Vladimir Lettiev <crux@altlinux.ru> 0.3.0-alt0.M51.1
- Backport to 5.1

* Mon Jan 31 2011 Vladimir Lettiev <crux@altlinux.ru> 0.3.0-alt1
- New version 0.3.0

* Wed Jan 12 2011 Vladimir Lettiev <crux@altlinux.ru> 0.2.9-alt1.M51.1
- Backport to 5.1

* Tue Jan 11 2011 Vladimir Lettiev <crux@altlinux.ru> 0.2.9-alt2
- Fixed case of incorrectly written protocol (same behaviour as
  firefox) (Closes: #24894)

* Fri Nov 26 2010 Vladimir Lettiev <crux@altlinux.ru> 0.2.9-alt0.M51.1
- Backport to 5.1
- Removed devel subpackage

* Wed Nov 17 2010 Vladimir Lettiev <crux@altlinux.ru> 0.2.9-alt1
- New version 0.2.9

* Tue Oct 19 2010 Vladimir Lettiev <crux@altlinux.ru> 0.2.8-alt0.M51.1
- Backport to 5.1

* Mon Oct 18 2010 Vladimir Lettiev <crux@altlinux.ru> 0.2.8-alt2
- Rebuild with libwebkitgtk2

* Mon Sep 20 2010 Vladimir Lettiev <crux@altlinux.ru> 0.2.8-alt1
- New version 0.2.8

* Sat Sep 04 2010 Vladimir Lettiev <crux@altlinux.ru> 0.2.7-alt0.M51.1
- Backport to 5.1 (Closes: #24016)

* Tue Aug 17 2010 Vladimir Lettiev <crux@altlinux.ru> 0.2.7-alt1
- New version 0.2.7

* Thu Jun 03 2010 Vladimir Lettiev <crux@altlinux.ru> 0.2.6-alt0.M51.1
- Backport to 5.1 (Closes: #23554)
- Patch to fix compilation of external-applications.vala with vala<0.7.8

* Thu Jun 03 2010 Vladimir Lettiev <crux@altlinux.ru> 0.2.6-alt1
- New version 0.2.6

* Tue May 18 2010 Vladimir Lettiev <crux@altlinux.ru> 0.2.5-alt1
- New version 0.2.5 (Closes: #23492)
- Add devel subpackage ('External Applications' extension)

* Sun Mar 14 2010 Vladimir Lettiev <crux@altlinux.ru> 0.2.4-alt1
- New version 0.2.4

* Fri Mar 05 2010 Vladimir Lettiev <crux@altlinux.ru> 0.2.3-alt1
- New version 0.2.3

* Tue Jan 19 2010 Vladimir Lettiev <crux@altlinux.ru> 0.2.2-alt2
- add missing adblock config
- add libnotify-devel build req

* Tue Jan 19 2010 Vladimir Lettiev <crux@altlinux.ru> 0.2.2-alt1
- New version 0.2.2

* Mon Oct 26 2009 Vladimir Lettiev <crux@altlinux.ru> 0.2.0-alt1
- New version

* Mon Sep 07 2009 Vladimir Lettiev <crux@altlinux.ru> 0.1.9-alt1
- New version

* Tue Jul 21 2009 Vladimir Lettiev <crux@altlinux.ru> 0.1.8-alt1
- New version (3201370)

* Wed Jun 17 2009 Vladimir Lettiev <crux@altlinux.ru> 0.1.7-alt1
- New version
- build user docs

* Sat May 02 2009 Vladimir Lettiev <crux@altlinux.ru> 0.1.6-alt1
- New version
- removed patch0

* Tue Apr 07 2009 Vladimir Lettiev <crux@altlinux.ru> 0.1.5-alt1
- New version

* Wed Jan 28 2009 Vladimir Lettiev <crux@altlinux.ru> 0.1.2-alt2
- Fix build on x86_64

* Mon Jan 26 2009 Vladimir Lettiev <crux@altlinux.ru> 0.1.2-alt1
- New version
- Fix TEXTREL in extensions

* Mon Sep 22 2008 Vladimir Lettiev <crux@altlinux.ru> 0.0.21-alt1
- New version

* Mon Sep 22 2008 Vladimir Lettiev <crux@altlinux.ru> 0.0.20-alt1
- Initial build for Sisyphus



